package jp.jasminesoft.wagby.controller.customer;

import static jp.jasminesoft.util.ExcelFunction.*;

import java.security.Permission;
import java.io.File;
import java.io.IOException;
import java.util.*;
import java.sql.*;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import jp.jasminesoft.util.*;
import jp.jasminesoft.jfc.*;
import jp.jasminesoft.jfc.controller.*;
import jp.jasminesoft.jfc.service.*;
import jp.jasminesoft.jfc.menu.*;

import jp.jasminesoft.wagby.app.*;

import org.apache.log4j.Logger;
import org.apache.commons.lang3.*;
import org.apache.commons.lang3.math.NumberUtils;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.batch.core.Job;
import org.springframework.batch.core.JobExecution;
import org.springframework.batch.core.JobParameter;
import org.springframework.batch.core.JobParameters;
import org.springframework.batch.core.JobParametersInvalidException;
import org.springframework.batch.core.repository.JobExecutionAlreadyRunningException;
import org.springframework.batch.core.repository.JobRestartException;
import org.springframework.batch.core.repository.JobInstanceAlreadyCompleteException;
import org.springframework.batch.core.launch.support.SimpleJobLauncher;

/**
 * SpringBatch Sample
 *
 * @author JasmineSoft
 */
@Controller
public class MyShowCustomerController
    extends ShowCustomerController
{
    @Override
    public String do_original(ActionParameter p)
    throws IOException, ServletException, SecurityException
    {
        SimpleJobLauncher launcher = (SimpleJobLauncher)p.appctx.getBean("jobLauncher");
        Job job = (Job)p.appctx.getBean("Batch1");
        try {
            System.out.println("job="+job);
	    java.util.Map<String,JobParameter> params = new HashMap<String,JobParameter>();
	    params.put("date1", new JobParameter(new java.util.Date()));
            params.put("username", new JobParameter(p.user.getUsername()));
            JobExecution jobExecution = launcher.run(job, new JobParameters(params));
            System.out.println("jobExecution="+jobExecution);
        } catch (JobExecutionAlreadyRunningException e) {
        } catch (JobRestartException e) {
        } catch (JobInstanceAlreadyCompleteException e) {
        } catch (JobParametersInvalidException e) {
        }
        return do_show(p);
    }
}
